Dell EMC Enterprise Copy Data Management Certificate Validation Security Bypass Vulnerability

2019-08-28T00:00:00
ID SMNTC-111303
Type symantec
Reporter Symantec Security Response
Modified 2019-08-28T00:00:00

Description

Description

Dell EMC Enterprise Copy Data Management is prone to a security-bypass vulnerability because the application fails to properly validate certificates. Successfully exploiting this issue allows attackers to perform man-in-the-middle attacks or impersonate trusted servers, which will aid in further attacks. Dell EMC Enterprise Copy Data Management (eCDM) versions 1.0, 1.1, 2.0, 2.1, and 3.0 are vulnerable.

Technologies Affected

  • Dell EMC Enterprise Copy Data Management (eCDM) 1.0
  • Dell EMC Enterprise Copy Data Management (eCDM) 1.1
  • Dell EMC Enterprise Copy Data Management (eCDM) 2.0
  • Dell EMC Enterprise Copy Data Management (eCDM) 2.1
  • Dell EMC Enterprise Copy Data Management (eCDM) 3.0

Recommendations

Block external access at the network boundary, unless external parties require service.
If global access isn't needed, filter access to the affected computer at the network boundary. Restricting access to only trusted computers and networks might greatly reduce the likelihood of exploits.

Deploy network intrusion detection systems to monitor network traffic for malicious activity.
Deploy NIDS to monitor network traffic for signs of anomalous or suspicious activity. This includes but is not limited to unexplained incoming and outgoing traffic. This may indicate exploit attempts or activity that results from successful exploits.

Do not use client software to communicate with untrusted sources.
To reduce the likelihood of exploits, connect to only trusted hosts and servers.

Updates are available. Please see the references or vendor advisory for more information.